import _InputNumber from "antd/es/input-number";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["style", "disabled", "defaultValue", "precision", "decimalSeparator", "value", "max", "min", "step", "sizeflag", "type", "autoFocus"];
import * as React from 'react';
import "./index.scss";
var NumberPickerName = function NumberPickerName(_ref) {
  var _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    disabled = _ref.disabled,
    defaultValue = _ref.defaultValue,
    precision = _ref.precision,
    decimalSeparator = _ref.decimalSeparator,
    value = _ref.value,
    max = _ref.max,
    min = _ref.min,
    step = _ref.step,
    sizeflag = _ref.sizeflag,
    type = _ref.type,
    autoFocus = _ref.autoFocus,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  var _otherProps = otherProps || {};
  _otherProps.style = _style;
  var styarr = ['Numbersty1', 'Numbersty2', 'Numbersty3', 'Numbersty4', 'Numbersty5', 'Numbersty6', 'Numbersty7', 'Numbersty8'];
  var Numbersty = 0;
  if (sizeflag == '大' && type == 'inline') Numbersty = 0;
  if (sizeflag == '中' && type == 'inline') Numbersty = 1;
  if (sizeflag == '小' && type == 'inline') Numbersty = 3;
  if (sizeflag == '特大' && type == 'inline') Numbersty = 2;
  if (sizeflag == '大' && type == 'normal') Numbersty = 4;
  if (sizeflag == '中' && type == 'normal') Numbersty = 6;
  if (sizeflag == '小' && type == 'normal') Numbersty = 7;
  if (sizeflag == '特大' && type == 'normal') Numbersty = 5;
  return /*#__PURE__*/React.createElement(_InputNumber, _extends({
    autoFocus: autoFocus,
    defaultValue: defaultValue,
    disabled: disabled,
    max: max,
    min: min,
    precision: precision,
    step: step,
    decimalSeparator: decimalSeparator,
    className: styarr[Numbersty]
    // prefix="next-"
    // type={type}
    ,
    value: value
    // editable={editable}
    // innerAfter={innerAfter}
  }, otherProps));
};
NumberPickerName.displayName = 'NumberPickerName';
export default NumberPickerName;